//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.15 at 02:17:08 PM CEST 
//


package org.oasis.xliff;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlMixed;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;group ref="{urn:oasis:names:tc:xliff:document:1.2}ElemGroup_TextContent" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;attribute name="datatype" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_datatype" />
 *       &lt;attribute name="ctype" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_InlineDelimiters" />
 *       &lt;attribute name="xid" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "content"
})
@XmlRootElement(name = "sub")
public class Sub {

    @XmlElementRefs({
        @XmlElementRef(name = "it", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = It.class, required = false),
        @XmlElementRef(name = "ph", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Ph.class, required = false),
        @XmlElementRef(name = "mrk", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Mrk.class, required = false),
        @XmlElementRef(name = "bpt", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Bpt.class, required = false),
        @XmlElementRef(name = "x", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = X.class, required = false),
        @XmlElementRef(name = "ept", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Ept.class, required = false),
        @XmlElementRef(name = "ex", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Ex.class, required = false),
        @XmlElementRef(name = "bx", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Bx.class, required = false),
        @XmlElementRef(name = "g", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = G.class, required = false)
    })
    @XmlMixed
    protected List<Object> content;
    @XmlAttribute(name = "datatype")
    protected String datatype;
    @XmlAttribute(name = "ctype")
    protected String ctype;
    @XmlAttribute(name = "xid")
    protected String xid;

    /**
     * Gets the value of the content property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the content property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link It }
     * {@link Ph }
     * {@link Mrk }
     * {@link Bpt }
     * {@link X }
     * {@link Ept }
     * {@link Ex }
     * {@link String }
     * {@link Bx }
     * {@link G }
     * 
     * 
     */
    public List<Object> getContent() {
        if (content == null) {
            content = new ArrayList<Object>();
        }
        return this.content;
    }

    /**
     * Gets the value of the datatype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatatype() {
        return datatype;
    }

    /**
     * Sets the value of the datatype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatatype(String value) {
        this.datatype = value;
    }

    /**
     * Gets the value of the ctype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCtype() {
        return ctype;
    }

    /**
     * Sets the value of the ctype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCtype(String value) {
        this.ctype = value;
    }

    /**
     * Gets the value of the xid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getXid() {
        return xid;
    }

    /**
     * Sets the value of the xid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setXid(String value) {
        this.xid = value;
    }

}
